DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MeasurementObjectData

Object data access function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementObjectData ( measurement, featureID, objectID, data, verdict )

## FUNCTION

The `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementObjectFormat`, `MeasurementFeatureLabels`, and `MeasurementFeatureDescription` functions provide access to the functions that are registered by each measurement function. See also `MeasurementFeatureRegister`.

The Object data is the data allocated by a measurement function for internal purposes: for example to store intermediate results. Its format is free. Therefore, the use of this function is only meaningful for a particular measurement function itself. To access the measurement values of a measurement function, use `MeasurementObjectValues`. The `verdict` parameter provides a means to test whether `featureID` or `objectID` are valid within the context of `measurement`. If one of them is invalid, and `verdict` is not zero, ``*verdict is set to `DIP_FALSE`, otherwise its value is `DIP_TRUE`. If `verdict` is zero, `MeasurementObjectData` produces an error when either `featureID` or `objectID` is invalid.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | Object ID
`void **` | `data` | Pointer to the internal measurement data pointer
`dip_Boolean *` | `verdict` | Pointer to a boolean containing validation information

## SEE ALSO

`MeasurementNew`, `MeasurementForge`, `MeasurementFeatureGetSize`, `MeasurementFeatures`, `MeasurementFeatureValid`, `MeasurementFeatureDescription`, `MeasurementObjectGetSize`, `MeasurementObjects`, `MeasurementObjectValid`, `MeasurementObjectValue`, `MeasurementObjectFormat`

DIPlib on-line documentation | Function reference | Global function index